export declare class RouteHelper {
    rules: helperRuleItems;
    root: string;
    prefix: string;
    routes: Map<string, string>;
    get projectRoot(): string;
    get lambdaDirectory(): string;
    get source(): string;
    getDistPath(sourceFilePath: string): string;
    isLambdaFile(sourceFilePath: string): boolean;
    getLambdaDirectoryByRule(rule: any): string;
    getLambdaDirectory(sourceFilePath: string): string;
    findFileMatchRule(sourceFilePath: string, matchEvent?: 'http'): helperRuleItem;
    isProjectFile(sourceFilePath: string): boolean;
    getHTTPPath(filePath: string, method: string, isExportDefault: boolean): string;
}
export declare const helper: RouteHelper;
export interface helperRuleItem {
    baseDir: string;
    events?: {
        http?: {
            basePath: string;
        };
        [otherEvent: string]: any;
    };
}
export declare type helperRuleItems = helperRuleItem[];
