import ts, { ArrowFunction } from 'typescript';
declare const _default: {
    transform(): {
        /**
         * export default () => {}
         * =>
         * export default function $default () {}
         */
        ExportAssignment(node: ts.ExportAssignment): ts.FunctionDeclaration | ts.ExportAssignment;
        /**
         * export default function () {}
         * =>
         * export default function $default () {}
         */
        FunctionDeclaration(node: ts.FunctionDeclaration): ts.FunctionDeclaration;
        /**
         * 将所有的 lambda & hook 的箭头函数转换为普通函数
         * export const useDemo = () => {}
         * =>
         * export const useDemo = function useDemo () {}
         */
        ArrowFunction(node: ts.ArrowFunction): ts.ArrowFunction | ts.FunctionExpression;
    };
};
export default _default;
