import { GatewayConfig } from './gateway/interface';
import type { FunctionStructure } from '@midwayjs/serverless-spec-builder';
import type { Dictionary } from 'lodash';
declare type SourceFilePath = string;
export declare function addRoute(sourceFilePath: SourceFilePath, gateway: MidwayHooksFunctionStructure): void;
export declare function getRoutes(sourceFilePath: SourceFilePath): MidwayHooksFunctionStructure[];
export declare function clearRoutes(): void;
export declare function getFunctionsMeta(): Dictionary<MidwayHooksFunctionStructure>;
export interface MidwayHooksFunctionStructure extends FunctionStructure {
    handler: string;
    sourceFilePath?: string;
    exportFunction?: string;
    isFunctional?: boolean;
    argsPath?: string;
    gatewayConfig: GatewayConfig;
}
export {};
