import ts, { FunctionDeclaration, ArrowFunction, FunctionExpression } from 'typescript';
import createDebug from 'debug';
export declare const debug: createDebug.Debugger;
export declare function getTopLevelNode(node: ts.Node): ts.Node;
export declare function isHookName(s: string): boolean;
export declare function isInsideLambdaOrHook(node: ts.Node): boolean;
export declare function isLambdaOrHook(node: ts.Node, container: ts.Node): boolean;
export declare function isLambda(node: ts.FunctionDeclaration | ts.FunctionExpression, container: ts.Node): boolean;
export declare function isExported(node: ts.FunctionDeclaration | ts.FunctionExpression, container: any): boolean;
export declare function hasModifier(node: any, modifier: ts.ModifierFlags): boolean;
export declare function getTopLevelNameNode(node: ts.Node): ts.Identifier;
export declare function isFunctionKind(kind: ts.SyntaxKind): boolean;
export declare type FunctionKind = FunctionDeclaration | ArrowFunction | FunctionExpression;
export declare function closetAncestor<T extends ts.Node = ts.Node>(node: ts.Node, kind: ts.SyntaxKind): T;
export declare function closetAncestorWhileKind(node: ts.Node, condition: (kind: ts.SyntaxKind, currentNode?: ts.Node) => boolean): ts.Node;
export declare function isAncestor(node: ts.Node, ancestor: ts.Node): boolean;
export declare function isLambdaOrHookVariableStatement(node: FunctionKind): boolean;
export declare function getVariableStatementIdentifier(node: ts.VariableStatement): ts.BindingName;
export declare function getSourceFilePath(node: ts.Node): string;
